rte_flow_item_vlan(3)

NAME
rte_flow_item_vlan

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t has_more_vlan:1
uint32_t reserved:31

Detailed Description

RTE_FLOW_ITEM_TYPE_VLAN

Matches an 802.1Q/ad VLAN tag.

The corresponding standard outer EtherType (TPID) values are RTE_ETHER_TYPE_VLAN or RTE_ETHER_TYPE_QINQ. It can be overridden by the preceding pattern item. If a VLAN item is present in the pattern, then only tagged packets will match the pattern. The field has_more_vlan can be used to match any type of tagged packets, instead of using the eth_proto field of hdr. If the eth_proto of hdr and has_more_vlan fields are not specified, then any tagged packets will match the pattern.

Definition at line 927 of file rte_flow.h.

Field Documentation

  rte_be16_t tci
Tag control information.

Definition at line 934 of file rte_flow.h.

  rte_be16_t inner_type
Inner EtherType or TPID.

Definition at line 935 of file rte_flow.h.

  uint32_t has_more_vlan
Packet header contains at least one more VLAN, after this VLAN.

Definition at line 940 of file rte_flow.h.

  uint32_t reserved
Reserved, must be zero.

Definition at line 941 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.